Bug 474077 - syntax highlighting bug in java code samples for "number"
syntax highlighting bug in java code samples for "number"
Status: CLOSED CURRENTRELEASE
Product: Publican
Classification: Community
Component: publican (Show other bugs)
2.0
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Content Services Development
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-01 19:52 EST by Dana Mison
Modified: 2010-11-23 22:59 EST (History)
2 users (show)

See Also:
Fixed In Version: 0.40
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-09 21:22:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dana Mison 2008-12-01 19:52:18 EST
Description of problem:
Identifies numeric constants but doesn't know how to mark them up & leaves <xslthl> tags around them.  Similar to Bugzilla #472500

Version-Release number of selected component (if applicable):
0.39

How reproducible:
every time

Steps to Reproduce:
1 - specify language="java" for a programlisting containing numeric constants. 
Doesn't matter if it is inline code or included via xi:include 

<programlisting language="java">i = 5;</programlisting>

Actual results:
i = <xslthl:number>5</xslthl:number>;

Expected results:
i = 5;
Comment 1 Jeff Fearn 2008-12-09 21:22:47 EST
Added handling for number and doccomment.
Comment 2 Fedora Update System 2009-01-16 02:40:23 EST
publican-fedora-0.17-0.fc10,publican-0.40-0.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/publican-fedora-0.17-0.fc10,publican-0.40-0.fc10
Comment 3 Fedora Update System 2009-01-16 02:43:05 EST
publican-fedora-0.17-0.fc9,publican-0.40-0.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/publican-fedora-0.17-0.fc9,publican-0.40-0.fc9
Comment 4 Fedora Update System 2009-01-21 16:32:36 EST
publican-fedora-0.17-0.fc10, publican-0.40-0.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Dana Mison 2009-02-02 20:43:38 EST
This is manifesting itself in 0.41.  I never built these docs with 0.40, this may be a regression.

publican-WebSite-obsoletes-0.97-0.el5_2
publican-ovirt-0.6-0.el5
publican-jboss-0.17-0.el5
publican-redhat-0.18-0.el5
publican-doc-0.41-3.el5
publican-0.41-3.el5
publican-gimp-0.1-0.t3.el5
publican-fedora-0.17-0.el5

Note You need to log in before you can comment on or make changes to this bug.